/************************************************************************
    filename:   TS_LayoutItems.h
		created:    22/10/2005
		author:     martin FLEURENT
*************************************************************************/
#ifndef _TS_LayoutItems_h_
#define _TS_LayoutItems_h_

#include "CEGUI.h"

/*!
\brief
    class for the Skin Selector window
*/
class TSAbout
{
public:
    TSAbout();
    ~TSAbout();

		CEGUI::Window* build();
		bool handleOk(const CEGUI::EventArgs& e);

protected:
		CEGUI::Window* _handle;
};


/*!
\brief
    class for the Skin Selector window
*/
class TSHelp
{
public:
    TSHelp();
    ~TSHelp();

		CEGUI::Window* build();
		bool handleOk(const CEGUI::EventArgs& e);

protected:
		CEGUI::Window* _handle;
};



/*!
\brief
    class for the Skin Selector window
*/
class TSBackgroundSelector
{
public:
    TSBackgroundSelector();
    ~TSBackgroundSelector();

		CEGUI::Window* build();
		bool handleColour(const CEGUI::EventArgs& e);
		bool setColour(const CEGUI::colour& backcolour);
		//bool handleGreen(const CEGUI::EventArgs& e);
		//bool handleBlue(const CEGUI::EventArgs& e);

protected:
		CEGUI::Window*      _handle;
		CEGUI::StaticImage* _wndStaticImage;
		CEGUI::Spinner* _wndSpinnerRed;
		CEGUI::Spinner* _wndSpinnerGreen;
		CEGUI::Spinner* _wndSpinnerBlue;
};


/*!
\brief
    class for the Skin Selector window
*/
class TSLayoutEnableSwitch : private CEGUI::PushButton
{
public:
    TSLayoutEnableSwitch();
    ~TSLayoutEnableSwitch();

protected:
};


#endif  // end of guard _TS_LayoutItems_h_
