/************************************************************************
    filename:   TS_LayoutToTest.h
		created:    22/10/2005
		author:     martin FLEURENT
*************************************************************************/
#ifndef _TS_LayoutToTest_h_
#define _TS_LayoutToTest_h_

#include "CEGuiSample.h"
#include "CEGUI.h"
#include "TS_SkinHelper.h"
#include "TS_StaticTest.h"
#include "TS_LayoutInternal.h"

/*!
\brief
    Encapsulate th elayout to test. build in or xml .layout loaded
*/
class TSLayoutToTest
{
public:
    TSLayoutToTest();
    ~TSLayoutToTest();

		// for a build in layout
		CEGUI::Window* build();
		// for an xml layout
		CEGUI::Window* build(const CEGUI::String& pathLayoutFile);
private:
		bool _cleanup();
    CEGUI::DefaultWindow* d_rootLayoutToTest;
		TSStaticTest* _StaticTest;
		CEGUI::String _pathLayoutFile;
};


#endif  // end of guard _TS_LayoutToTest_h_
