/************************************************************************
    filename:   Tool_TestaSkin.h
		created:    22/10/2005
		author:     martin FLEURENT
*************************************************************************/
#ifndef _Tool_TestaSkin_h_
#define _Tool_TestaSkin_h_

#include "CEGuiSample.h"
#include "CEGUI.h"
#include "TS_SkinHelper.h"
#include "TS_Menu.h"
#include "TS_SkinSelector.h"
#include "TS_StaticTest.h"
#include "TS_LayoutInternal.h"
#include "TS_LayoutToTest.h"


/*!
\brief
    the real appli class
*/
class TestaSkin : public CEGuiSample
{

public:
    // method to initialse the samples windows and events.
    bool initialiseSample();

    // method to perform any required cleanup operations.
    void cleanupSample(void);

		// want to quit the appli
		bool handleQuit(const CEGUI::EventArgs& args);
		// want to quit the appli
		bool handleAbout(const CEGUI::EventArgs& args);
		// want to quit the appli
		bool handleHelp(const CEGUI::EventArgs& args);
		// change skin validation
		bool handleChangeSkinOK(const CEGUI::EventArgs& args);
		
		//bool handleXmlLayoutsListbox(const CEGUI::EventArgs& e);

		// file dialog for loading an xml layout
		bool handleFileDialogOutput(const CEGUI::EventArgs& args);

		// change layout validation
		bool handleLoadLayout(const CEGUI::EventArgs& e);

		void suscribeEvents(void);

		bool setLayoutToTest();
public:

protected:

	static const CEGUI::String AppliConfigFile;	
	static const CEGUI::String AppliConfigSchema;	
  TSLayoutInternal* d_toolbox;
  TSLayoutToTest* d_layouttotest;
	CEGUI::String d_layoutname;
};


#endif  // end of guard _Tool_TestaSkin_h_
